package cz.mendelu.dnaAnalyser.batch;

import cz.mendelu.dnaAnalyser.user.User;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

@Repository
public interface BatchRepository extends CrudRepository<Batch, UUID> {

    @Query("select b from Batch as b join b.owner o where o.id = ?#{principal.id}")
    Iterable<Batch> findAll();

    @Query("select b from Batch as b join b.owner o where b.entityClass = :entityClass and o.id = ?#{principal.id}")
    Iterable<Batch> findAllByEntityClass(String entityClass);

    @Query("select b from Batch as b join b.owner o where b.entityClass = :entityClass and b.entityId = :entityId and o.id = ?#{principal.id}")
    Optional<Batch> findBatchByEntityClassAndEntityId(String entityClass, UUID entityId);

    @Query("delete from Batch as b where b.entityClass = :entityClass and b.entityId = :entityId and b.owner.id = ?#{principal.id}")
    void deleteBatchByEntityClassAndEntityId(String entityClass, UUID entityId);
}
