package cz.mendelu.dnaAnalyser.batch;

import lombok.extern.slf4j.Slf4j;

import java.lang.management.ManagementFactory;
import java.lang.management.ThreadMXBean;


@Slf4j
public class ThreadCPUTime {

    public static long cpuTime() {
        ThreadMXBean mxBean = ManagementFactory.getThreadMXBean();
        Thread thread = Thread.currentThread();
        if (mxBean.isThreadCpuTimeSupported()) {
            try {
                return mxBean.getThreadCpuTime(thread.getId());
            } catch (UnsupportedOperationException e) {
                log.error(e.toString());


            }
        } else {
            log.error("ThreadCpuTime is not supported");
        }
        return 0;
    }
}
